FreeBSD:Xpdf -- 複数の脆弱性(791e8f79-e7d1-11e9-8b31-206a8a720317)

high Nessus プラグイン ID 129661

言語:

概要

リモートのFreeBSDホストに1つ以上のセキュリティ関連の更新プログラムがありません。

説明

Xpdf 4.02は、2つの脆弱性を修正します。両方の修正が3.04にバックポートされました。

細工されたPDFドキュメントを通じたXpdf 4.01のTextPage::findGaps()の無効なメモリアクセスの脆弱性により、セグメンテーション違反が発生する可能性があります。

Xpdf 4.01.01のTextPage::findGaps()に領域外書き込みが存在します

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.nessus.org/u?58358b75

プラグインの詳細

深刻度: High

ID: 129661

ファイル名: freebsd_pkg_791e8f79e7d111e98b31206a8a720317.nasl

バージョン: 1.3

タイプ: local

公開日: 2019/10/7

更新日: 2019/12/19

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:freebsd:freebsd:xpdf, p-cpe:/a:freebsd:freebsd:xpdf3, p-cpe:/a:freebsd:freebsd:xpdf4, cpe:/o:freebsd:freebsd

必要な KB アイテム: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/10/6

脆弱性公開日: 2019/10/1

参照情報

CVE: CVE-2019-1692, CVE-2019-16927, CVE-2019-9877